Subject: Re: [Bitcoin-development] User vote in blocksize through fees

From: odinn <[email-masked]>
Date: Sat, 13 Jun 2015 21:28:36 -0700

A decentralized, distributed application should offer its users
decentralized, distributed method of weighing in on the direction of
how it evolves as well as having an open development model.  The
reference to Facebook and Myspace is completely inapplicable here
because the tyranny of such spaces isn't what we have with bitcoin
(fortunately), nor would we want to try to replicate it, ever, in any
way, shape, or form.

Yes, it does bother (some) people to see the consensus based system
because of the difficulties that can be associated with implementing
it.  But that's the way it is.  If you don't like consensus based
systems (or decentralized, distributed systems) this is probably the
wrong space for you.

On 06/13/2015 04:57 PM, Raystonn wrote:
> Adding back the list. Did not intend to remove it. Apologies.
> 
> On 13 Jun 2015 4:52 pm, Raystonn <[email-masked]> wrote:
> 
> Based on my observations, what the majority of Bitcoin users want 
> is a system that can carry more transactions per second than any 
> existing payment system while retaining most of the security 
> offered today. The technicalities on how this is achieved are not 
> as important as the end result. If the only user input is to 
> technicalities, they will use that to voice their opinions.
> 
> On 13 Jun 2015 4:25 pm, Danny Thorpe <[email-masked]> 
> wrote:
> 
> I don't recall Facebook or MySpace asking end users to alter the 
> parameters of their respective back-end network infrastructure.
> 
> How are Bitcoin end users qualified to make an informed decision 
> regarding block size limits? And why should they care?
> 
> Sure, I want Bitcoin to grow its user base. But to do that,
> Bitcoin has to be accessible to the nontechnical population.
> Asking nontechnical people to make technical decisions leads
> directly to stress and confusion, which most folks find
> off-putting.
> 
> And please don't call me Shirley.  ;>
> 
> On Sat, Jun 13, 2015 at 3:42 PM, Raystonn <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> Surely you would prefer to actually have users? Bitcoin does not 
> exist in a vacuum. Network effect alone is not enough to ensure 
> success in the face of competition from alternatives with a much 
> better user experience. See Facebook vs MySpace, IE vs Netscape, 
> etc.
> 
> On 13 Jun 2015 3:20 pm, Danny Thorpe <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> Please forgive my ignorance, but why should Bitcoin users have a 
> say in block size limits?  It's the miners and Bitcoin node 
> operators that bear the burden of managing large blocks, no?
> 
> Users voting on network parameters sounds like neighbors voting on 
> how deep my swimming pool should be.
> 
> Thanks, -Danny
> 
> On Fri, Jun 12, 2015 at 11:11 AM, Peter Todd <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> Jeff Garzik recently proposed that the upper blocksize limit be 
> removed entirely, with a "soft" limit being enforced via miner 
> vote, recorded by hashing power.
> 
> This mechanism within the protocol for users to have any influence 
> over the miner vote. We can add that back by providing a way for 
> transactions themselves to set a flag determining whether or not 
> they can be included in a block casting a specific vote.
> 
> We can simplify Garzik's vote to say that one of the nVersion bits
>  either votes for the blocksize to be increased, or decreased, by 
> some fixed ratio (e.g 2x or 1/2x) the next interval. Then we can 
> use a nVersion bit in transactions themselves, also voting for an 
> increase or decrease. Transactions may only be included in blocks 
> with an indentical vote, thus providing miners with a monetary 
> incentive via fees to vote according to user wishes.
> 
> Of course, to cast a "don't care" vote we can either define an 
> additional bit, or sign the transaction with both versions.
> Equally we can even have different versions with different fees,
> broadcast via a mechanism such as replace-by-fee.
> 
> 
> See also John Dillon's proposal for proof-of-stake blocksize 
> voting:
> 
> https://www.mail-archive.com/[email-masked]
/msg02323.html
- -- 'peter'[:-1]@petertodd.org <http://petertodd.org>
> 0000000000000000127ab1d576dc851f374424f1269c4700ccaba2c42d97e778
> 
> ----------------------------------------------------------------------
- --------
_______________________________________________
> Bitcoin-development mailing list 
> [email-masked] 
> <mailto:[email-masked]> 
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> 
> 
> 
> 
> ----------------------------------------------------------------------
- --------
>
>
> 
> 
> 
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked] 
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 

- -- 
http://abis.io ~
"a protocol concept to enable decentralization
and expansion of a giving economy, and a new social good"
https://keybase.io/odinn